[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] Problems with 2.4.10 > lvm 1.0



On Fri, Sep 28, 2001 at 05:23:20PM +0200, Goetz Bock wrote:
> 
> On Fri, Sep 28 '01 at 16:46, Conny Brunnkvist / dimac.net wrote:
> > Making and installing them worked fine. So did the kernel-patch and its
> > compilation, but i get the following when trying to install or newly
> > compiled 1.0 module:
> Are you sure you patched the same kernel you're running?

Yeah, there was a bug in the patch generation scripts that was fixed in
1.0.1-rc1 i believe.  So what is happening is the patch generation thinks
you have kernel 2.4.1

> > depmod:	get_hardblocksize
> > 
> > I've read somewhere else in the list-archive that changing the
> > get_hardblocksize lines to get_hardsect_size could help, but I have
> There is a 1.0.1rc2 that has fixed this bug, but has a new one with the
> min/max macros. For 2.4.10 you have to change the min/max macros to
> min_t/max_t.

There will be a 1.0.1-rc3 coming out (hopefully) today that addresses the
kernel changes in 2.4.10.

Regards,
-- 
AJ Lewis
Sistina Software Inc.                  Voice:  612-638-0500
1313 5th St SE, Suite 111              Fax:    612-638-0500
Minneapolis, MN 55414                  E-Mail: lewis sistina com
http://www.sistina.com

Current GPG fingerprint = 60F3 160D C0D5 2C4B 751B  4FF9 6F67 E9BC 44CD DE95

-----Begin Obligatory Humorous Quote----------------------------------------
Sometimes I have a difficult time handling myself in social situations.
I just start scampering around neurotically, frantically jumping all
over guests. I think it all goes back to when I was raised in the wild
by miniature schnauzers.
-----End Obligatory Humorous Quote------------------------------------------

Attachment: pgp00000.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]